Bug 12196 - Missing libdb-3 from db3 RPM
Summary: Missing libdb-3 from db3 RPM
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: db3   
(Show other bugs)
Version: 1.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-06-13 13:36 UTC by scot
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-06-23 18:00:42 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description scot 2000-06-13 13:36:18 UTC
I tried compiling the Cyrus IMAPD, and this software expects libdb-3, not 
libdb-3.0.  The db3 RPM should create a link between libdb-3.a -> libdb-
3.0.a and libdb-3.so -> libdb-3.0.so.

Comment 1 Jeff Johnson 2000-06-21 20:56:43 UTC
The recommended naming scheme is libdb-3.0.*, not libdb-3.

Comment 2 scot 2000-06-23 18:00:40 UTC
$ ls -la /var/tmp/db3-root/usr/lib
lrwxrwxrwx   1 scot     scot           12 Jun 23 12:44 libdb-3.so -> libdb-
3.0.so
lrwxrwxrwx   1 scot     scot           12 Jun 23 12:44 libdb.so -> libdb-3.0.so

The above was from a recently compiled/installed DB3 RPM in to the build root.

I can understand why you don't want libdb.so linked to libdb-3.0.

But just uncommenting libdb-3.so in the db3.spec file would fix this problem.

%files
%defattr(-,root,root)
%doc LICENSE README docs examples_c
#%doc examples_cxx
#%{_DBprefix}/lib/libdb.so
#%{_DBprefix}/lib/libdb-3.so


Comment 3 Jeff Johnson 2000-07-26 11:44:43 UTC
Fixed in db3-3.1.14.


Note You need to log in before you can comment on or make changes to this bug.